function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { Route, Link, matchPath } from 'react-router-dom';
import CBreadcrumbCustom from './CBreadcrumbCustom';
import CBreadcrumbItem from './CBreadcrumbItem';
var routes;

var getPaths = function getPaths(pathname) {
  var paths = ['/'];
  if (pathname === '/') return paths;
  pathname.split('/').reduce(function (prev, curr) {
    var currPath = prev + "/" + curr;
    paths.push(currPath);
    return currPath;
  });
  return paths;
};

var findRouteName = function findRouteName(url) {
  var aroute = routes.find(function (route) {
    return matchPath(url, {
      path: route.path,
      exact: route.exact
    });
  });
  return aroute && aroute.name ? aroute.name : null;
}; //component - CoreUI / CBreadcrumbRouteItem


var CBreadcrumbRouteItem = function CBreadcrumbRouteItem(_ref) {
  var match = _ref.match;
  var routeName = findRouteName(match.url);

  if (routeName) {
    return match.isExact ? React.createElement(CBreadcrumbItem, {
      active: true
    }, routeName) : React.createElement(CBreadcrumbItem, null, React.createElement(Link, {
      to: match.url || ''
    }, routeName));
  }

  return null;
};

CBreadcrumbRouteItem.propTypes = process.env.NODE_ENV !== "production" ? {
  match: PropTypes.shape({
    url: PropTypes.string,
    isExact: PropTypes.bool
  })
} : {}; //component - CoreUI / CBreadcrumbRouter

var postItems;

var CBreadcrumbRouter = function CBreadcrumbRouter(args) {
  var paths = getPaths(args.location.pathname);
  var items = paths.map(function (path, i) {
    return React.createElement(Route, {
      key: i.toString(),
      path: path,
      component: CBreadcrumbRouteItem
    });
  });
  if (postItems) items.push(postItems); // render

  return items;
  /*
  return (
    <CBreadcrumbCustom>
      {items}
    </CBreadcrumbCustom>
  );
  */
}; //component - CoreUI / CBreadcrumb


var CBreadcrumb = function CBreadcrumb(props) {
  var children = props.children,
      className = props.className,
      custom = props.custom,
      routesProps = props.routesProps,
      attributes = _objectWithoutPropertiesLoose(props, ["children", "className", "custom", "routesProps"]);

  if (children) postItems = children;else {
    postItems = null;
  }
  routes = props.appRoutes; //render

  delete attributes.appRoutes;
  var classes = classNames(className);

  if (!custom) {
    return React.createElement(CBreadcrumbCustom, _extends({}, attributes, {
      listClassName: classes
    }), React.createElement(Route, _extends({
      path: "/:path",
      component: CBreadcrumbRouter
    }, routesProps)));
  }

  return React.createElement(CBreadcrumbCustom, _extends({}, attributes, {
    listClassName: classes
  }), children);
};

CBreadcrumb.propTypes = process.env.NODE_ENV !== "production" ? {
  tag: PropTypes.oneOfType([PropTypes.func, PropTypes.string]),
  children: PropTypes.node,
  className: PropTypes.string,
  custom: PropTypes.bool,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  appRoutes: PropTypes.any,
  match: PropTypes.object,
  routesProps: PropTypes.object
} : {};
CBreadcrumb.defaultProps = {
  tag: 'div',
  className: '',
  appRoutes: [{
    path: '/',
    exact: true,
    name: 'Home',
    component: null
  }]
};
export default CBreadcrumb;