function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { tagPropType, mapToCssModules } from './Shared/helper.js'; //component - CoreUI / CButtonClose

var CButtonClose = function CButtonClose(props) {
  var Tag = props.tag,
      children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      innerRef = props.innerRef,
      iconHtml = props.iconHtml,
      attributes = _objectWithoutPropertiesLoose(props, ["tag", "children", "className", "cssModule", "innerRef", "iconHtml"]); //render


  var classes = mapToCssModules(classNames('close', className), cssModule);
  return React.createElement(Tag, _extends({}, attributes, {
    "aria-label": "Close",
    className: classes,
    ref: innerRef
  }), children || iconHtml);
};

CButtonClose.propTypes = process.env.NODE_ENV !== "production" ? {
  tag: tagPropType,
  children: PropTypes.node,
  className: PropTypes.string,
  cssModule: PropTypes.object,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  iconHtml: PropTypes.oneOfType([PropTypes.node, PropTypes.string]) //object

} : {};
CButtonClose.defaultProps = {
  tag: 'button',
  iconHtml: React.createElement(React.Fragment, null, "\xD7")
};
export default CButtonClose;