function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { mapToCssModules } from './Shared/helper.js'; //component - CoreUI / CCarouselCaption

var CCarouselCaption = function CCarouselCaption(props) {
  var cssModule = props.cssModule,
      className = props.className,
      innerRef = props.innerRef,
      captionHeader = props.captionHeader,
      captionText = props.captionText,
      attributes = _objectWithoutPropertiesLoose(props, ["cssModule", "className", "innerRef", "captionHeader", "captionText"]); //render


  var classes = mapToCssModules(classNames(className, 'carousel-caption', 'd-none', 'd-md-block'), cssModule);
  return React.createElement("div", _extends({
    className: classes
  }, attributes, {
    ref: innerRef
  }), React.createElement("h3", null, captionHeader), React.createElement("p", null, captionText));
};

CCarouselCaption.propTypes = process.env.NODE_ENV !== "production" ? {
  cssModule: PropTypes.object,
  className: PropTypes.string,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  captionHeader: PropTypes.string,
  captionText: PropTypes.string.isRequired
} : {};
export default CCarouselCaption;