function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { mapToCssModules } from './Shared/helper.js';
import { NavLink } from 'react-router-dom'; //component - CoreUI / CLink

var CLink = function CLink(props) {
  var className = props.className,
      cssModule = props.cssModule,
      innerRef = props.innerRef,
      active = props.active,
      disabled = props.disabled,
      href = props.href,
      to = props.to,
      attributes = _objectWithoutPropertiesLoose(props, ["className", "cssModule", "innerRef", "active", "disabled", "href", "to"]);

  var href2 = href;

  var onClick = function onClick(e) {
    if (props.disabled) {
      e.preventDefault();
      return;
    }

    if (href2 === '#') {
      e.preventDefault();
    }

    if (props.onClick) {
      props.onClick(e);
    }
  }; // render


  var classes = mapToCssModules(classNames(className, active ? 'active' : null, disabled ? 'disabled' : null), cssModule); //<span {...attributes} className={classes} ref={innerRef} />

  to || href2 || (href2 = '#');
  return to ? React.createElement(NavLink, _extends({
    to: to
  }, attributes, {
    className: classes,
    ref: innerRef
  })) : React.createElement("a", _extends({
    href: href2
  }, attributes, {
    className: classes,
    onClick: onClick,
    ref: innerRef
  }));
};

CLink.propTypes = process.env.NODE_ENV !== "production" ? {
  className: PropTypes.string,
  cssModule: PropTypes.object,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  active: PropTypes.bool,
  disabled: PropTypes.bool,
  href: PropTypes.string,
  to: PropTypes.string,
  onClick: PropTypes.func
} : {};
CLink.defaultProps = {};
export default CLink;