function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { tagPropType, mapToCssModules } from './Shared/helper.js';
import CNavLink from './CNavLink'; //component - CoreUI / CNavItem

var CNavItem = function CNavItem(props) {
  var Tag = props.tag,
      children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      custom = props.custom,
      innerRef = props.innerRef,
      active = props.active,
      linkClassName = props.linkClassName,
      linkProps = props.linkProps,
      to = props.to,
      href = props.href,
      attributes = _objectWithoutPropertiesLoose(props, ["tag", "children", "className", "cssModule", "custom", "innerRef", "active", "linkClassName", "linkProps", "to", "href"]); //render


  var classes = mapToCssModules(classNames(className, 'nav-item', active ? 'active' : false), cssModule);
  var linkClasses = mapToCssModules(classNames(linkClassName), cssModule);

  if (!custom) {
    return React.createElement(Tag, _extends({}, attributes, {
      className: classes,
      ref: innerRef
    }), React.createElement(CNavLink, _extends({}, linkProps, {
      className: linkClasses,
      to: to,
      href: href
    }), children));
  }

  return React.createElement(Tag, _extends({}, attributes, {
    className: classes,
    ref: innerRef
  }), children);
};

CNavItem.propTypes = process.env.NODE_ENV !== "production" ? {
  tag: tagPropType,
  className: PropTypes.string,
  cssModule: PropTypes.object,
  children: PropTypes.node,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  active: PropTypes.bool,
  custom: PropTypes.bool,
  linkClassName: PropTypes.string,
  linkProps: PropTypes.object,
  to: PropTypes.string,
  href: PropTypes.string
} : {};
CNavItem.defaultProps = {
  tag: 'li'
};
export default CNavItem;