function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { mapToCssModules } from './Shared/helper.js';
import CLink from './CLink'; //component - CoreUI / CNavLink

var CNavLink = function CNavLink(props) {
  var className = props.className,
      cssModule = props.cssModule,
      attributes = _objectWithoutPropertiesLoose(props, ["className", "cssModule"]); //render


  var classes = mapToCssModules(classNames(className, 'nav-link'), cssModule);
  return React.createElement(CLink, _extends({}, attributes, {
    className: classes
  }));
};

CNavLink.propTypes = process.env.NODE_ENV !== "production" ? {
  className: PropTypes.string,
  cssModule: PropTypes.object,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  onClick: PropTypes.func,
  href: PropTypes.string,
  to: PropTypes.string
} : {};
CNavLink.defaultProps = {};
export default CNavLink;