function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { mapToCssModules } from './Shared/helper.js'; //

import CCard from './CCard'; //import CProgress from './CProgress';

import CCardBody from './CCardBody';
import CCardHeader from './CCardHeader';
import Slot from './Shared/Slot.js';
import CCol from './CCol'; //component - CoreUI / CWidget3

var CWidgetBrand = function CWidgetBrand(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      color = props.color,
      rightHeader = props.rightHeader,
      rightFooter = props.rightFooter,
      leftHeader = props.leftHeader,
      leftFooter = props.leftFooter,
      addHeaderClasses = props.addHeaderClasses,
      bodySlot = props.bodySlot,
      attributes = _objectWithoutPropertiesLoose(props, ["children", "className", "cssModule", "color", "rightHeader", "rightFooter", "leftHeader", "leftFooter", "addHeaderClasses", "bodySlot"]); // render


  var classes = mapToCssModules(classNames(className, "content-center text-white p-0", color ? "bg-" + color : '', addHeaderClasses), cssModule);
  return React.createElement(CCard, _extends({}, attributes, {
    custom: true
  }), React.createElement(CCardHeader, {
    className: classes
  }, React.createElement(Slot, {
    content: children
  })), React.createElement(Slot, {
    content: bodySlot
  }, React.createElement(CCardBody, {
    className: "row text-center"
  }, React.createElement(CCol, null, rightHeader ? React.createElement("div", {
    className: "text-value-lg"
  }, rightHeader) : '', rightFooter ? React.createElement("div", {
    className: "text-uppercase text-muted small"
  }, rightFooter) : ''), React.createElement("div", {
    className: "c-vr"
  }), React.createElement(CCol, null, leftHeader ? React.createElement("div", {
    className: "text-value-lg"
  }, rightHeader) : '', leftFooter ? React.createElement("div", {
    className: "text-uppercase text-muted small"
  }, rightFooter) : ''))));
};

CWidgetBrand.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node,
  className: PropTypes.string,
  cssModule: PropTypes.object,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  //dataBox: PropTypes.func,
  //old
  color: PropTypes.string,
  rightHeader: PropTypes.string,
  rightFooter: PropTypes.string,
  leftHeader: PropTypes.string,
  leftFooter: PropTypes.string,
  addHeaderClasses: PropTypes.oneOfType([String, Array, Object]),
  bodySlot: PropTypes.node
} : {};
CWidgetBrand.defaultProps = {//dataBox: () => ({ variant: 'facebook', friends: '-', feeds: '-' }),
};
export default CWidgetBrand;