function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import PropTypes from 'prop-types'; //

import CCard from './CCard';
import CCardBody from './CCardBody';
import Slot from './Shared/Slot.js'; //component - CoreUI / CWidgetDropdown

var CWidgetDropdown = function CWidgetDropdown(props) {
  var children = props.children,
      header = props.header,
      text = props.text,
      color = props.color,
      dropdownSlot = props.dropdownSlot,
      mainText = props.mainText,
      attributes = _objectWithoutPropertiesLoose(props, ["children", "header", "text", "color", "dropdownSlot", "mainText"]);

  return React.createElement(CCard, _extends({}, attributes, {
    custom: true,
    className: "text-white",
    color: color
  }), React.createElement(CCardBody, {
    className: "pb-0 d-flex justify-content-between"
  }, React.createElement("div", null, header ? React.createElement("div", {
    className: "text-value-lg"
  }, header) : '', mainText ? React.createElement("div", null, text) : ''), React.createElement(Slot, {
    content: dropdownSlot
  })), children);
};

CWidgetDropdown.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node,
  className: PropTypes.string,
  cssModule: PropTypes.object,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  header: PropTypes.string,
  text: PropTypes.string,
  color: PropTypes.string,
  toggle: PropTypes.func,
  dropdownSlot: PropTypes.node,
  //old
  mainText: PropTypes.string,
  //smallText: PropTypes.string,
  value: PropTypes.string,
  variant: PropTypes.string
} : {};
CWidgetDropdown.defaultProps = {
  header: '89.9%',
  text: 'text',
  mainText: 'Widget title',
  //smallText: 'Widget helper text',
  // color: '',
  value: '25',
  variant: ''
};
export default CWidgetDropdown;