"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _helper = require("./Shared/helper.js");

var _CFade = _interopRequireDefault(require("./CFade"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

//component - CoreUI / CAlert
var CAlert = function CAlert(props) {
  var Tag = props.tag,
      children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      custom = props.custom,
      toggle = props.toggle,
      transition = props.transition,
      closeAriaLabel = props.closeAriaLabel,
      closeClassName = props.closeClassName,
      color = props.color,
      fade = props.fade,
      show = props.show,
      iconSlot = props.iconSlot,
      closeProps = props.closeProps,
      attributes = _objectWithoutPropertiesLoose(props, ["tag", "children", "className", "cssModule", "custom", "toggle", "transition", "closeAriaLabel", "closeClassName", "color", "fade", "show", "iconSlot", "closeProps"]); //render


  var classes = (0, _helper.mapToCssModules)((0, _classnames["default"])(className, 'alert', "alert-" + color, {
    'alert-dismissible': toggle
  }), cssModule);
  var closeClasses = (0, _helper.mapToCssModules)((0, _classnames["default"])('close', closeClassName), cssModule);

  var alertTransition = _extends({}, _CFade["default"].defaultProps, {}, transition, {
    baseClass: fade ? transition.baseClass : '',
    timeout: fade ? transition.timeout : 0
  });

  var _useState = (0, _react.useState)(true),
      isOpen = _useState[0],
      setIsOpen = _useState[1];

  if (!custom) {
    var userToggle = toggle;

    toggle = function toggle() {
      setIsOpen(!isOpen);
      if (userToggle) userToggle();
    };

    show = isOpen;
  }

  return _react["default"].createElement(_CFade["default"], _extends({}, attributes, alertTransition, {
    tag: Tag,
    className: classes,
    "in": show,
    role: "alert"
  }), !custom ? _react["default"].createElement("button", _extends({
    type: "button",
    className: closeClasses,
    "aria-label": closeAriaLabel,
    onClick: toggle
  }, closeProps), _react["default"].createElement("span", {
    "aria-hidden": "true"
  }, iconSlot)) : null, children);
};

CAlert.propTypes = process.env.NODE_ENV !== "production" ? {
  tag: _helper.tagPropType,
  children: _propTypes["default"].node,
  className: _propTypes["default"].string,
  cssModule: _propTypes["default"].object,
  custom: _propTypes["default"].bool,
  //
  innerRef: _propTypes["default"].oneOfType([_propTypes["default"].object, _propTypes["default"].func, _propTypes["default"].string]),
  toggle: _propTypes["default"].func,
  closeClassName: _propTypes["default"].string,
  closeProps: _propTypes["default"].object,
  closeAriaLabel: _propTypes["default"].string,
  color: _propTypes["default"].string,
  fade: _propTypes["default"].bool,
  show: _propTypes["default"].bool,
  transition: _propTypes["default"].shape(_CFade["default"].propTypes),
  iconSlot: _propTypes["default"].node
} : {};
CAlert.defaultProps = {
  tag: 'div',
  //
  color: 'success',
  show: true,
  closeAriaLabel: 'Close',
  fade: true,
  transition: _extends({}, _CFade["default"].defaultProps, {
    unmountOnExit: true
  }),
  iconSlot: _react["default"].createElement(_react["default"].Fragment, null, "\xD7")
}; //export

var _default = CAlert;
exports["default"] = _default;
module.exports = exports.default;