"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _CCarouselCustom = _interopRequireDefault(require("./CCarouselCustom"));

var _CCarouselItem = _interopRequireDefault(require("./CCarouselItem"));

var _CCarouselControl = _interopRequireDefault(require("./CCarouselControl"));

var _CCarouselIndicators = _interopRequireDefault(require("./CCarouselIndicators"));

var _CCarouselCaption = _interopRequireDefault(require("./CCarouselCaption"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

//component - CoreUI / CCarousel
var CCarousel = function CCarousel(props) {
  var custom = props.custom,
      autoPlay = props.autoPlay,
      indicators = props.indicators,
      controls = props.controls,
      items = props.items,
      goToIndex = props.goToIndex;

  var _useState = (0, _react.useState)(props.defaultOpen || false),
      activeIndex = _useState[0],
      setActiveIndex = _useState[1];

  var fields = (0, _react.useRef)({
    animating: false
  }).current;

  if (!custom) {
    var onExiting = function onExiting() {
      fields.animating = true;
    };

    var onExited = function onExited() {
      fields.animating = false;
    };

    var next = function next() {
      if (fields.animating) return;
      var nextIndex = activeIndex === props.items.length - 1 ? 0 : activeIndex + 1;
      setActiveIndex(nextIndex);
    };

    var previous = function previous() {
      if (fields.animating) return;
      var nextIndex = activeIndex === 0 ? props.items.length - 1 : activeIndex - 1;
      setActiveIndex(nextIndex);
    };

    var toIndex = function toIndex(newIndex) {
      if (fields.animating) return;
      setActiveIndex(newIndex);
    }; //render


    var slides = items.map(function (item) {
      return _react["default"].createElement(_CCarouselItem["default"], {
        onExiting: onExiting,
        onExited: onExited,
        key: item.src
      }, _react["default"].createElement("img", {
        className: "d-block w-100",
        src: item.src,
        alt: item.altText
      }), _react["default"].createElement(_CCarouselCaption["default"], {
        captionText: item.caption,
        captionHeader: item.header || item.caption
      }));
    });
    return _react["default"].createElement(_CCarouselCustom["default"], _extends({
      activeIndex: activeIndex,
      next: next,
      previous: previous,
      ride: autoPlay ? 'carousel' : undefined
    }, props), indicators && _react["default"].createElement(_CCarouselIndicators["default"], {
      items: items,
      activeIndex: props.activeIndex || activeIndex,
      onClickHandler: goToIndex || toIndex
    }), slides, controls && _react["default"].createElement(_CCarouselControl["default"], {
      direction: "prev",
      directionText: "Previous",
      onClickHandler: props.previous || previous
    }), controls && _react["default"].createElement(_CCarouselControl["default"], {
      direction: "next",
      directionText: "Next",
      onClickHandler: props.next || next
    }));
  }

  return _react["default"].createElement(_CCarouselCustom["default"], props);
};

CCarousel.propTypes = process.env.NODE_ENV !== "production" ? {
  custom: _propTypes["default"].bool,
  //
  innerRef: _propTypes["default"].oneOfType([_propTypes["default"].object, _propTypes["default"].func, _propTypes["default"].string]),
  items: _propTypes["default"].array,
  indicators: _propTypes["default"].bool,
  defaultOpen: _propTypes["default"].bool,
  controls: _propTypes["default"].bool,
  autoPlay: _propTypes["default"].bool,
  activeIndex: _propTypes["default"].number,
  next: _propTypes["default"].func,
  previous: _propTypes["default"].func,
  goToIndex: _propTypes["default"].func
} : {};
CCarousel.defaultProps = {
  controls: true,
  indicators: true,
  autoPlay: true
};
var _default = CCarousel;
exports["default"] = _default;
module.exports = exports.default;