"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _helper = require("./Shared/helper.js");

var _reactRouterDom = require("react-router-dom");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

//component - CoreUI / CLink
var CLink = function CLink(props) {
  var className = props.className,
      cssModule = props.cssModule,
      innerRef = props.innerRef,
      active = props.active,
      disabled = props.disabled,
      href = props.href,
      to = props.to,
      attributes = _objectWithoutPropertiesLoose(props, ["className", "cssModule", "innerRef", "active", "disabled", "href", "to"]);

  var href2 = href;

  var onClick = function onClick(e) {
    if (props.disabled) {
      e.preventDefault();
      return;
    }

    if (href2 === '#') {
      e.preventDefault();
    }

    if (props.onClick) {
      props.onClick(e);
    }
  }; // render


  var classes = (0, _helper.mapToCssModules)((0, _classnames["default"])(className, active ? 'active' : null, disabled ? 'disabled' : null), cssModule); //<span {...attributes} className={classes} ref={innerRef} />

  to || href2 || (href2 = '#');
  return to ? _react["default"].createElement(_reactRouterDom.NavLink, _extends({
    to: to
  }, attributes, {
    className: classes,
    ref: innerRef
  })) : _react["default"].createElement("a", _extends({
    href: href2
  }, attributes, {
    className: classes,
    onClick: onClick,
    ref: innerRef
  }));
};

CLink.propTypes = process.env.NODE_ENV !== "production" ? {
  className: _propTypes["default"].string,
  cssModule: _propTypes["default"].object,
  //
  innerRef: _propTypes["default"].oneOfType([_propTypes["default"].object, _propTypes["default"].func, _propTypes["default"].string]),
  active: _propTypes["default"].bool,
  disabled: _propTypes["default"].bool,
  href: _propTypes["default"].string,
  to: _propTypes["default"].string,
  onClick: _propTypes["default"].func
} : {};
CLink.defaultProps = {};
var _default = CLink;
exports["default"] = _default;
module.exports = exports.default;