"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _helper = require("./Shared/helper.js");

var _CLink = _interopRequireDefault(require("./CLink"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

//component - CoreUI / CNavLink
var CNavLink = function CNavLink(props) {
  var className = props.className,
      cssModule = props.cssModule,
      attributes = _objectWithoutPropertiesLoose(props, ["className", "cssModule"]); //render


  var classes = (0, _helper.mapToCssModules)((0, _classnames["default"])(className, 'nav-link'), cssModule);
  return _react["default"].createElement(_CLink["default"], _extends({}, attributes, {
    className: classes
  }));
};

CNavLink.propTypes = process.env.NODE_ENV !== "production" ? {
  className: _propTypes["default"].string,
  cssModule: _propTypes["default"].object,
  //
  innerRef: _propTypes["default"].oneOfType([_propTypes["default"].object, _propTypes["default"].func, _propTypes["default"].string]),
  onClick: _propTypes["default"].func,
  href: _propTypes["default"].string,
  to: _propTypes["default"].string
} : {};
CNavLink.defaultProps = {};
var _default = CNavLink;
exports["default"] = _default;
module.exports = exports.default;