"use strict";

exports.__esModule = true;
exports["default"] = exports.Context = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactOnclickout = _interopRequireDefault(require("react-onclickout"));

require("./Shared/element-closest");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Context = _react["default"].createContext({}); //component - CoreUI / CSidebar


exports.Context = Context;

var CSidebar = function CSidebar(props) {
  var Tag = props.tag,
      children = props.children,
      className = props.className,
      innerRef = props.innerRef,
      breakpoint = props.breakpoint,
      show = props.show,
      fixed = props.fixed,
      unfoldable = props.unfoldable,
      minimize = props.minimize,
      size = props.size,
      hideOnMobileClick = props.hideOnMobileClick,
      aside = props.aside,
      colorScheme = props.colorScheme,
      overlaid = props.overlaid,
      dropdownMode = props.dropdownMode,
      onChange = props.onChange,
      attributes = _objectWithoutPropertiesLoose(props, ["tag", "children", "className", "innerRef", "breakpoint", "show", "fixed", "unfoldable", "minimize", "size", "hideOnMobileClick", "aside", "colorScheme", "overlaid", "dropdownMode", "onChange"]);

  var _useState = (0, _react.useState)(show),
      isOpen = _useState[0],
      setIsOpen = _useState[1];

  var compData = (0, _react.useRef)({
    reRender: false,
    ref: {}
  }).current; //let ref={};

  var reference = function reference(r) {
    compData.ref.current = r;
    innerRef && innerRef(r);
  }; //methods


  var closeSidebar = function closeSidebar() {
    if (isOpen === 'responsive') return;
    setIsOpen('responsive');
    onChange && onChange('close');
  };

  var isOnMobile = function isOnMobile() {
    return Boolean(getComputedStyle(compData.ref.current).getPropertyValue('--is-mobile'));
  };

  var onSidebarClick = function onSidebarClick(e) {
    var hiddingElementClicked = e.target.className.includes && e.target.className.includes('c-sidebar-nav-link');

    if (hiddingElementClicked && hideOnMobileClick && isOnMobile()) {
      closeSidebar();
    }
  };

  var onClickOut = function onClickOut() {
    if (compData.reRender) {
      return;
    }

    closeSidebar();
  };

  (0, _react.useMemo)(function () {
    if (compData.nextRender) {
      compData.reRender = true;
      setIsOpen(show);
    }
  }, [show]);
  (0, _react.useEffect)(function () {
    compData.reRender = false;
  });
  compData.nextRender = true; // render

  var haveResponsiveClass = breakpoint && isOpen === 'responsive';
  var classes = (0, _classnames["default"])(className, 'c-sidebar', colorScheme ? "c-sidebar-" + colorScheme : null, isOpen === true ? 'c-sidebar-show' : null, haveResponsiveClass ? "c-sidebar-" + breakpoint + "-show" : null, fixed && !overlaid ? 'c-sidebar-fixed' : null, aside ? 'c-sidebar-right' : null, minimize && !unfoldable ? 'c-sidebar-minimized' : null, minimize && unfoldable ? 'c-sidebar-unfoldable' : null, overlaid ? 'c-sidebar-overlaid' : null, size ? "c-sidebar-" + size : null);
  /*
  const clickOutClasses = classNames(
    'c-sidebar-backdrop',
    isOpen ? 'd-show' : 'd-none'
  );
  const style = {
    background: isOpen? 'black' : 'white'
  }
  */

  var state = {
    minimize: minimize && !unfoldable
  };
  if (isOpen) return _react["default"].createElement(_reactOnclickout["default"], {
    onClickOut: onClickOut
  }, _react["default"].createElement(Context.Provider, {
    value: {
      dropdownMode: dropdownMode,
      state: state
    }
  }, _react["default"].createElement(Tag, _extends({}, attributes, {
    className: classes,
    ref: reference,
    onClick: onSidebarClick
  }), children)));else return _react["default"].createElement(Context.Provider, {
    value: {
      dropdownMode: dropdownMode,
      state: state
    }
  }, _react["default"].createElement(Tag, _extends({}, attributes, {
    className: classes,
    ref: reference,
    onClick: onSidebarClick
  }), children));
};

CSidebar.propTypes = process.env.NODE_ENV !== "production" ? {
  tag: _propTypes["default"].oneOfType([_propTypes["default"].func, _propTypes["default"].string]),
  children: _propTypes["default"].node,
  className: _propTypes["default"].string,
  //
  innerRef: _propTypes["default"].oneOfType([_propTypes["default"].object, _propTypes["default"].func, _propTypes["default"].string]),
  fixed: _propTypes["default"].bool,
  unfoldable: _propTypes["default"].bool,
  overlaid: _propTypes["default"].bool,
  breakpoint: _propTypes["default"].oneOf([false, '', 'sm', 'md', 'lg', 'xl']),
  minimize: _propTypes["default"].bool,
  show: _propTypes["default"].oneOfType([_propTypes["default"].bool, _propTypes["default"].string]),
  size: _propTypes["default"].oneOf(['', 'sm', 'lg', 'xl']),
  hideOnMobileClick: _propTypes["default"].bool,
  aside: _propTypes["default"].bool,
  colorScheme: _propTypes["default"].string,
  dropdownMode: _propTypes["default"].oneOf(['', 'openActive', 'close', 'closeInactive', 'noAction']),
  onChange: _propTypes["default"].func
} : {};
CSidebar.defaultProps = {
  tag: 'div',
  fixed: true,
  breakpoint: 'lg',
  show: 'responsive',
  hideOnMobileClick: true,
  colorScheme: 'dark',
  dropdownMode: 'openActive'
};
var _default = CSidebar;
exports["default"] = _default;