"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _helper = require("./Shared/helper.js");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

//component - CoreUI / CTable
var CTable = function CTable(props) {
  var Tag = props.tag,
      className = props.className,
      cssModule = props.cssModule,
      custom = props.custom,
      innerRef = props.innerRef,
      size = props.size,
      bordered = props.bordered,
      borderless = props.borderless,
      striped = props.striped,
      dark = props.dark,
      hover = props.hover,
      responsive = props.responsive,
      ResponsiveTag = props.responsiveTag,
      attributes = _objectWithoutPropertiesLoose(props, ["tag", "className", "cssModule", "custom", "innerRef", "size", "bordered", "borderless", "striped", "dark", "hover", "responsive", "responsiveTag"]); //render


  var classes = (0, _helper.mapToCssModules)((0, _classnames["default"])(className, 'table', size ? 'table-' + size : false, bordered ? 'table-bordered' : false, borderless ? 'table-borderless' : false, striped ? 'table-striped' : false, dark ? 'table-dark' : false, hover ? 'table-hover' : false), cssModule);
  var table;
  if (custom) table = _react["default"].createElement(Tag, _extends({}, attributes, {
    className: classes
  }));else {
    table = _react["default"].createElement(Tag, _extends({}, attributes, {
      className: classes
    }), _react["default"].createElement("tbody", null, attributes.children));
  }

  if (responsive) {
    var responsiveClassName = responsive === true ? 'table-responsive' : "table-responsive-" + responsive;
    return _react["default"].createElement(ResponsiveTag, {
      className: responsiveClassName,
      ref: innerRef
    }, table);
  }

  return table;
};

CTable.propTypes = process.env.NODE_ENV !== "production" ? {
  tag: _helper.tagPropType,
  className: _propTypes["default"].string,
  cssModule: _propTypes["default"].object,
  custom: _propTypes["default"].bool,
  //
  innerRef: _propTypes["default"].oneOfType([_propTypes["default"].func, _propTypes["default"].string, _propTypes["default"].object]),
  size: _propTypes["default"].string,
  bordered: _propTypes["default"].bool,
  borderless: _propTypes["default"].bool,
  striped: _propTypes["default"].bool,
  dark: _propTypes["default"].bool,
  hover: _propTypes["default"].bool,
  responsive: _propTypes["default"].oneOfType([_propTypes["default"].bool, _propTypes["default"].string]),
  responsiveTag: _helper.tagPropType
} : {};
CTable.defaultProps = {
  tag: 'table',
  responsiveTag: 'div'
};
var _default = CTable;
exports["default"] = _default;
module.exports = exports.default;