"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _helper = require("./Shared/helper.js");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

//import {Context} from './CDropdownCustom';
//component - CoreUI / CToggler
var CToggler = function CToggler(props) {
  var Tag = props.tag,
      children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      custom = props.custom,
      innerRef = props.innerRef,
      toggle = props.toggle,
      inHeader = props.inHeader,
      inNavbar = props.inNavbar,
      attributes = _objectWithoutPropertiesLoose(props, ["tag", "children", "className", "cssModule", "custom", "innerRef", "toggle", "inHeader", "inNavbar"]); //const context = useContext(Context);
  //events


  var onClick = function onClick(e) {
    e.preventDefault(); //if (context.toggle)
    //  context.toggle();

    if (toggle) toggle(e);
  }; //render


  var togglerType = inNavbar ? 'c-navbar' : inHeader ? 'c-header' : null;
  var classes = (0, _helper.mapToCssModules)((0, _classnames["default"])(className, togglerType ? togglerType + "-toggler" : null), cssModule);

  if (!custom) {
    var classesTrigger = (0, _helper.mapToCssModules)((0, _classnames["default"])(togglerType ? togglerType + "-toggler-icon" : null), cssModule);
    return _react["default"].createElement(Tag, _extends({}, attributes, {
      className: classes,
      onClick: onClick
    }), _react["default"].createElement("span", {
      className: classesTrigger
    }));
  }

  return _react["default"].createElement(Tag, _extends({}, attributes, {
    className: classes,
    onClick: onClick,
    ref: innerRef
  }), children);
};

CToggler.propTypes = process.env.NODE_ENV !== "production" ? {
  tag: _helper.tagPropType,
  children: _propTypes["default"].node,
  className: _propTypes["default"].string,
  cssModule: _propTypes["default"].object,
  custom: _propTypes["default"].bool,
  //
  innerRef: _propTypes["default"].oneOfType([_propTypes["default"].func, _propTypes["default"].string, _propTypes["default"].object]),
  inHeader: _propTypes["default"].bool,
  inNavbar: _propTypes["default"].bool,
  type: _propTypes["default"].string,
  toggle: _propTypes["default"].func
} : {};
CToggler.defaultProps = {
  tag: 'button',
  type: 'button'
};
var _default = CToggler;
exports["default"] = _default;
module.exports = exports.default;