"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _helper = require("./Shared/helper.js");

var _CCard = _interopRequireDefault(require("./CCard"));

var _CCardBody = _interopRequireDefault(require("./CCardBody"));

var _CCardHeader = _interopRequireDefault(require("./CCardHeader"));

var _Slot = _interopRequireDefault(require("./Shared/Slot.js"));

var _CCol = _interopRequireDefault(require("./CCol"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

//component - CoreUI / CWidget3
var CWidgetBrand = function CWidgetBrand(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      color = props.color,
      rightHeader = props.rightHeader,
      rightFooter = props.rightFooter,
      leftHeader = props.leftHeader,
      leftFooter = props.leftFooter,
      addHeaderClasses = props.addHeaderClasses,
      bodySlot = props.bodySlot,
      attributes = _objectWithoutPropertiesLoose(props, ["children", "className", "cssModule", "color", "rightHeader", "rightFooter", "leftHeader", "leftFooter", "addHeaderClasses", "bodySlot"]); // render


  var classes = (0, _helper.mapToCssModules)((0, _classnames["default"])(className, "content-center text-white p-0", color ? "bg-" + color : '', addHeaderClasses), cssModule);
  return _react["default"].createElement(_CCard["default"], _extends({}, attributes, {
    custom: true
  }), _react["default"].createElement(_CCardHeader["default"], {
    className: classes
  }, _react["default"].createElement(_Slot["default"], {
    content: children
  })), _react["default"].createElement(_Slot["default"], {
    content: bodySlot
  }, _react["default"].createElement(_CCardBody["default"], {
    className: "row text-center"
  }, _react["default"].createElement(_CCol["default"], null, rightHeader ? _react["default"].createElement("div", {
    className: "text-value-lg"
  }, rightHeader) : '', rightFooter ? _react["default"].createElement("div", {
    className: "text-uppercase text-muted small"
  }, rightFooter) : ''), _react["default"].createElement("div", {
    className: "c-vr"
  }), _react["default"].createElement(_CCol["default"], null, leftHeader ? _react["default"].createElement("div", {
    className: "text-value-lg"
  }, rightHeader) : '', leftFooter ? _react["default"].createElement("div", {
    className: "text-uppercase text-muted small"
  }, rightFooter) : ''))));
};

CWidgetBrand.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes["default"].node,
  className: _propTypes["default"].string,
  cssModule: _propTypes["default"].object,
  //
  innerRef: _propTypes["default"].oneOfType([_propTypes["default"].object, _propTypes["default"].func, _propTypes["default"].string]),
  //dataBox: PropTypes.func,
  //old
  color: _propTypes["default"].string,
  rightHeader: _propTypes["default"].string,
  rightFooter: _propTypes["default"].string,
  leftHeader: _propTypes["default"].string,
  leftFooter: _propTypes["default"].string,
  addHeaderClasses: _propTypes["default"].oneOfType([String, Array, Object]),
  bodySlot: _propTypes["default"].node
} : {};
CWidgetBrand.defaultProps = {//dataBox: () => ({ variant: 'facebook', friends: '-', feeds: '-' }),
};
var _default = CWidgetBrand;
exports["default"] = _default;
module.exports = exports.default;