"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _CCard = _interopRequireDefault(require("./CCard"));

var _CCardBody = _interopRequireDefault(require("./CCardBody"));

var _Slot = _interopRequireDefault(require("./Shared/Slot.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

//component - CoreUI / CWidgetDropdown
var CWidgetDropdown = function CWidgetDropdown(props) {
  var children = props.children,
      header = props.header,
      text = props.text,
      color = props.color,
      dropdownSlot = props.dropdownSlot,
      mainText = props.mainText,
      attributes = _objectWithoutPropertiesLoose(props, ["children", "header", "text", "color", "dropdownSlot", "mainText"]);

  return _react["default"].createElement(_CCard["default"], _extends({}, attributes, {
    custom: true,
    className: "text-white",
    color: color
  }), _react["default"].createElement(_CCardBody["default"], {
    className: "pb-0 d-flex justify-content-between"
  }, _react["default"].createElement("div", null, header ? _react["default"].createElement("div", {
    className: "text-value-lg"
  }, header) : '', mainText ? _react["default"].createElement("div", null, text) : ''), _react["default"].createElement(_Slot["default"], {
    content: dropdownSlot
  })), children);
};

CWidgetDropdown.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes["default"].node,
  className: _propTypes["default"].string,
  cssModule: _propTypes["default"].object,
  //
  innerRef: _propTypes["default"].oneOfType([_propTypes["default"].object, _propTypes["default"].func, _propTypes["default"].string]),
  header: _propTypes["default"].string,
  text: _propTypes["default"].string,
  color: _propTypes["default"].string,
  toggle: _propTypes["default"].func,
  dropdownSlot: _propTypes["default"].node,
  //old
  mainText: _propTypes["default"].string,
  //smallText: PropTypes.string,
  value: _propTypes["default"].string,
  variant: _propTypes["default"].string
} : {};
CWidgetDropdown.defaultProps = {
  header: '89.9%',
  text: 'text',
  mainText: 'Widget title',
  //smallText: 'Widget helper text',
  // color: '',
  value: '25',
  variant: ''
};
var _default = CWidgetDropdown;
exports["default"] = _default;
module.exports = exports.default;